import ChartView from '../../view/Chart.js';
import StrategySeriesModel from './StrategySeries.js';
import GlobalModel from '../../model/Global.js';
import ExtensionAPI from '../../core/ExtensionAPI.js';
import SeriesData from '../../data/SeriesData.js';
declare class StrategyView extends ChartView {
    static readonly type = "strategy";
    readonly type = "strategy";
    private _lineGroup;
    private _histogramGroup;
    private _symbolGroup;
    private _symbolDraw;
    init(): void;
    render(seriesModel: StrategySeriesModel, ecModel: GlobalModel, api: ExtensionAPI): void;
    _getClipShape(seriesModel: StrategySeriesModel): import("../../coord/CoordinateSystem").CoordinateSystemClipArea;
    _renderSymbol(data: SeriesData, seriesModel: StrategySeriesModel): void;
    remove(ecModel: GlobalModel, api: ExtensionAPI): void;
    dispose(ecModel: GlobalModel, api: ExtensionAPI): void;
}
export default StrategyView;
